Bug 1735982 - lammps: FTBFS in Fedora rawhide/f31
Summary: lammps: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lammps
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Junghans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 13:39 UTC by Fedora Release Engineering
Modified: 2019-09-22 13:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-22 13:29:05 UTC


Attachments (Terms of Use)
build.log (42 bytes, text/plain)
2019-08-01 13:39 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 13:39 UTC, Fedora Release Engineering
no flags Details
state.log (475 bytes, text/plain)
2019-08-01 13:39 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 13:39:49 UTC
lammps failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36634831


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix lammps at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
lammps will be orphaned. Before branching of Fedora 32,
lammps will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 13:39:51 UTC
Created attachment 1597411 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-01 13:39:53 UTC
Created attachment 1597412 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 13:39:55 UTC
Created attachment 1597413 [details]
state.log

Comment 4 Christoph Junghans 2019-08-01 14:05:28 UTC
Same as in #1735317, unrelated to lammps:

DEBUG util.py:585:  BUILDSTDERR: error: unpacking of archive failed on file /builddir/build/SOURCES/lammps-testing-827be7af84ca100d394ea1cf6d3bc49f6a8eef92.tar.gz;5d3e0f76: cpio: read failed - Inappropriate ioctl for device
DEBUG util.py:585:  BUILDSTDERR: error: /builddir/build/originals/lammps-20190605-5.fc31.src.rpm cannot be installed
DEBUG util.py:734:  Child return code was: 1
D

Comment 5 Ben Cotton 2019-08-13 17:04:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Ben Cotton 2019-08-13 18:13:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Fedora Release Engineering 2019-09-22 04:29:41 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule


Note You need to log in before you can comment on or make changes to this bug.